Rootserver Sponsor

webtropia"

Donations

Please support your operating system's further development:

donate"

Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
slhOffline
Post subject: RE: d-u wtih no problems  PostPosted: 15.08.2015, 03:28



Joined: 2010-08-25
Posts: 949

Status: Offline
Even if upgrading KDE based systems, with some nudging, has started to become technically possible, there are still a couple of bugs which spoil the fun to an extent you certainly don't want to bear.

So do yourself a favour and don't upgrade KDE based installations before the all-clear.
 
 View user's profile Send private message  
Reply with quote Back to top
slhOffline
Post subject: RE: d-u wtih no problems  PostPosted: 22.08.2015, 20:19



Joined: 2010-08-25
Posts: 949

Status: Offline
It's a bit early to officially call it "green lights", but I'd venture to call it "yellow lights with shades of green" (or Grünpfeil in the german StVO).

While it strongly depends on which packages you have installed - and which of those you care about, many regular systems should be upgradable with some handholding for apt (as the dependency cycles still aren't quite well).
      Code:
# apt update
# apt-get dist-upgrade libstreamanalyzer0v5+ libstreams0v5+ libstreams0- kdeutils+ kdeadmin+ konversation+

Even with that assistance, you'll need to be very careful and cross-check what apt wants to remove - don't expect to be able to reinstall whatever bites the dust anytime soon. So if apt wants to remove any non-library packages (you care about), give it some more time!
 
 View user's profile Send private message  
Reply with quote Back to top
vinurOffline
Post subject: RE: d-u wtih some problems  PostPosted: 01.09.2015, 03:16



Joined: 2010-09-11
Posts: 83
Location: Lake Oswego
Status: Offline
Well I bit the bullet as they say and did the up grade via the standard method.
(slh code for apt) I have implemented the suggested code found above now.

This is cautionary – yes I upgraded and this report is perhaps just a survival note. More time required as true functionality is slow to return.

KDE RUNS (sort of), with big cautions - Dolphin, the file manager, is gone for a while.
Can't explain it, as the system is partially functional and does have a GUI that does run.

The system, from about 2 weeks and a few days, was without a truly running KDE GUI. It would get mostly through the initialization stage and then just sit there – forever.
I would restart the system, select fluxbox at the log-on, and that ran just fine. Fluxbox runs well as well as all of the applications I use. So I was using that as the backup GUI system with some distress - as I really prefer KDE with plasma. I may still use fluxbox until KDE becomes fully functional again.

So Far, as of tonight, I am running post DU and KDE Plasma 5. It did light up as operational again with the big cautions, as it seems to be running weirdly. I would use extreme caution on your DU.

This is the upgrade statistics; 229 to remove, 1 (I think was held back)
something like 17 new to install.
And 689 to upgrade. A second DU with also the slh code as well has brought in a lot of missing components. lots of libs.

I read the list and saw a lot of the important aspects of KDE was back in the upgrade list.

So, I just did it – about an hour later, whats gone is still being discovered. Use care.

BlueGriffon which I depend on, in aptosid, runs fine. I will find out more as I use the system.

Even Google Earth 7.1 beta looks as though it might run, with a little coaxing, ( it was always problematic in Debian ) sometimes it does and sometimes it does not, run.

However, for the most part, I am back in the saddle again, with partial KDE system that now will launch. A system that although is running some applications, is not running others, as was cautioned by slh. Its very hard to describe, what works, works well. What is gone, is just missing.

So, it is, in fact - mostly running. And is not, as yet, crashing at all.

Use a lot of caution. Dolphin is missing - and that is the proper file manager.

Hope the D-U sticks - And I can retrieve or reinstall what seems to be missing.

I really can not tell what is not there yet, as the KDE plasma system is, only partially available.

I spell check this info out of the browser, in LibreOffice 5 writer and export it to the browser, so spell checking is partially gone.

I would hold off for a while until more time goes by.[/b]


Last edited by vinur on 01.09.2015, 18:51; edited 1 time in total
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
vinurOffline
Post subject: RE: d-u wtih some problems  PostPosted: 01.09.2015, 18:19



Joined: 2010-09-11
Posts: 83
Location: Lake Oswego
Status: Offline
Greetings all,
What I should say is that I have a certain confidence in doing some upgrades which may seem to be risky.
The reason is simple. The system being upgraded is no longer being depended upon completely.
It is, as a system, shared on the same computer but with a functional conservative system with a stable Linux installed.

Aspects of the computer can be lost for a while now and it is not critical to me that its functional presence be depended upon.

So if I sound cavalier and reckless, its not exactly so.

The aptosid system is very important, however, it is being set into experimental mode until it becomes once again reliable.

It continues to function in-spite of what some would describe as a disaster.

I always have a functional backup, and I always make sure that these are never in the same hard drive even if the computer is common amongst them.

Basically I never allow myself to actually be at risk. So If you are not as backup-ed, use a lot of care, it is just not prudent to fly solo in a hurricane without a good parachute. Thats a joke, but seriously, don't just jump into a frying pan without some prudent precations.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
vinurOffline
Post subject: RE: d-u wtih some problems  PostPosted: 03.09.2015, 00:34



Joined: 2010-09-11
Posts: 83
Location: Lake Oswego
Status: Offline
Greetings All,
A few days since the last update. Although there are some still missing components of KDE which are still missing I have reinstalled Dolphin (the file manager) and much functionality is back.
What works, as before - Works well.
I am bringing back the e-mail files ( When this all started, I migrated them to the safe system for protection, a Linux Mint 17 – KDE – its OK for a general purpose Linux desktop system and has itself shown much improvement. However, make no mistake though, its no aptosid. )
I will try to live with the aptosid system and observe its behavior.

So why do I use aptosid, when I can mostly get calm predictable behavior out of a generic Linux?

Configurable and powerful aptosid will run many applications that an Ubuntu based distro, which is what Linux Mint 17 is, can not be made to work at all. Little things are annoying. Like missing thumbs for .ODF files. Or that BlueGriffon 1.7.2 will not actually run even with all of the dependency’s that can be discovered being accounted for.

aptosid rocks - yes it is sometimes a surprise - but freedom and capabilities above normal is worth fighting for.

I am on the path of full recovery now and it is getting better.
I still advise some serious caution – but even so it is getting better.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
vinurOffline
Post subject: RE: d-u wtih some problems  PostPosted: 09.09.2015, 19:39



Joined: 2010-09-11
Posts: 83
Location: Lake Oswego
Status: Offline
I would advise to not DU, apt wants to remove Plasma-desktop, today.
I would say that the general situation is still very unstable even if some hours it seems OK and might work some hours later something wants to remove some KDE element nessassary to have a desktop.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
slhOffline
Post subject: RE: d-u wtih some problems  PostPosted: 09.09.2015, 21:37



Joined: 2010-08-25
Posts: 949

Status: Offline
There is a significant qualitative difference here. The g++-5/ libstdc++6 transition is indeed mostly through (at least for the most common packages), thanks to the work of Debian's KDE team pretty much all of KDE5 has been fast tracked through (except for calligra (née koffice) and digikam).

What you see e.g. today is "just" a normal version upgrade which temporarily waits for depending packages to catch up - or in other words "business as usual in Debian/unstable".
 
 View user's profile Send private message  
Reply with quote Back to top
vinurOffline
Post subject: RE: d-u wtih some problems  PostPosted: 10.09.2015, 05:20



Joined: 2010-09-11
Posts: 83
Location: Lake Oswego
Status: Offline
That is what I see now. Thank you, slh.
I waited a few more hours and see the difference in the Que for apt
My usual path is to read what Apt has and actually compare the list of what is coming in to what is going out.
I just noticed that plasma-desktop was out going and there was no corresponding incoming with a higher version number.
so I wait... It is normal ( lots of change ) going on.
Tonight looks much better than this morning, its not really all that different than the usual precautions.

I guess I am just a little bit jumpy. - All is well.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
albertinusOffline
Post subject: RE: d-u wtih some problems  PostPosted: 10.09.2015, 06:28



Joined: 2011-03-18
Posts: 20

Status: Offline
Ave,

Dist-upgrade wants to remove Gimp...
Can I reinstall it later?

(morituri te salutant?)
 
 View user's profile Send private message  
Reply with quote Back to top
finottiOffline
Post subject: Re: RE: d-u wtih some problems  PostPosted: 10.09.2015, 16:14



Joined: 2010-09-12
Posts: 470

Status: Offline
      slh wrote:
There is a significant qualitative difference here. The g++-5/ libstdc++6 transition is indeed mostly through (at least for the most common packages), thanks to the work of Debian's KDE team pretty much all of KDE5 has been fast tracked through (except for calligra (née koffice) and digikam).

What you see e.g. today is "just" a normal version upgrade which temporarily waits for depending packages to catch up - or in other words "business as usual in Debian/unstable".


Thanks for the update. I'm thinking of taking the plunge with my laptop, which I'm using to test the updates before I update my critical machines.

It shows:
      Code:

The following packages will be REMOVED:
  coinor-libcbc3 coinor-libcoinmp1 coinor-libcoinutils3 coinor-libosi1 digikam
  digikam-private-libs gimp gimp-plugin-registry grip libasprintf0c2 libatkmm-1.6-1
  libbinio1ldbl libboost-date-time1.54.0 libboost-date-time1.55.0 libbt0 libcairomm-1.0-1
  libclucene-contribs1 libclucene-core1 libcmis-0.3-3 libcmis-0.4-4 libcmis-0.5-5 libcwidget3
  libebml4 libept1.4.12 libffmpegthumbnailer4 libflac++6 libgconfmm-2.6-1c2 libgegl-0.2-0
  libglademm-2.4-1c2a libglibmm-2.4-1c2a libgltf-0.0-0 libgpgme++2 libgtkmm-2.4-1c2a
  libgtkmm-3.0-1 libid3-3.8.3c2a libilmbase6 libkdecorations2-5 libkdecorations2private5
  libkf5baloo1 libkf5balooxapian1 libkf5bluezqt5 libkolab0 libkolabxml1 libllvm3.5
  libllvm3.5:i386 libmagick++-6.q16-5 libmatroska6 libmovit2 libmsn0.3 libopencv-calib3d2.3
  libopencv-calib3d2.4 libopencv-contrib2.3 libopencv-contrib2.4 libopencv-core2.4
  libopencv-features2d2.3 libopencv-features2d2.4 libopencv-flann2.4 libopencv-highgui2.3
  libopencv-highgui2.4 libopencv-imgproc2.4 libopencv-legacy2.3 libopencv-legacy2.4
  libopencv-ml2.4 libopencv-objdetect2.3 libopencv-objdetect2.4 libopencv-video2.4
  libopenexr6 liborcus-0.10-0 libpangomm-1.4-1 libpodofo0.9.0 libproxy1 libqalculate5
  libqmmp-misc libqpdf13 libsidplay1 libsidplayfp3 libsigc++-2.0-0c2a libsigc++-2.0-0c2a:i386
  libsmokebase3 libstreamanalyzer0 libstreams0 libtag1-vanilla libtag1c2a libtinyxml2.6.2
  libvamp-hostsdk3 libwxbase3.0-0 libwxgtk3.0-0 libxapian22 libzlcore0.12 libzltext0.12
The following NEW packages will be installed:
  coinor-libcoinutils3v5 coinor-libosi1v5 cpp-5 distro-info-data g++-5 gcc-5 gfortran-5
  ieee-data kate5-data kde-style-oxygen-qt4 ktexteditor-katepart libapt-inst1.7
  libapt-pkg4.16 libasan2 libasprintf0v5 libatkmm-1.6-1v5 libbabeltrace-ctf1 libbabeltrace1
  libbasicusageenvironment1 libbinio1v5 libboost-date-time1.58.0 libboost-iostreams1.58.0
  libboost-program-options1.58.0 libboost-system1.58.0 libboost-thread1.58.0 libbt0v5
  libcairomm-1.0-1v5 libcc1-0 libclucene-contribs1v5 libclucene-core1v5 libcmis-0.5-5v5
  libcwidget3v5 libebml4v5 libexiv2-14 libffmpegthumbnailer4v5 libflac++6v5 libgcc-5-dev
  libgconfmm-2.6-1v5 libgfortran-5-dev libgit2-23 libglademm-2.4-1v5 libglibmm-2.4-1v5
  libgltf-0.0-0v5 libgpgme++2v5 libgroupsock7 libgtkmm-2.4-1v5 libgtkmm-3.0-1v5 libicu55
  libicu55:i386 libid3-3.8.3v5 libilmbase6v5 libkdecorations2-5v5 libkdecorations2private5v5
  libkf5baloo5 libkf5balooengine5 libkf5bluezqt6 libkf5itemmodels5 libkolab0v5 libkolabxml1v5
  liblivemedia49 libllvm3.5v5 libllvm3.5v5:i386 liblmdb0 liblz4-1 libmagick++-6.q16-5v5
  libmatroska6v5 libmovit2v5 libmpx0 libmsn0.3v5 libmusicbrainz5cc2v5 libnpth0 libokularcore6
  libopencv-calib3d2.4v5 libopencv-contrib2.4v5 libopencv-core2.4v5 libopencv-features2d2.4v5
  libopencv-flann2.4v5 libopencv-gpu2.4v5 libopencv-highgui2.4v5 libopencv-imgproc2.4v5
  libopencv-legacy2.4v5 libopencv-ml2.4v5 libopencv-objdetect2.4v5 libopencv-ocl2.4v5
  libopencv-photo2.4v5 libopencv-stitching2.4v5 libopencv-superres2.4v5 libopencv-ts2.4v5
  libopencv-video2.4v5 libopencv-videostab2.4v5 libopenexr6v5 liborcus-0.10-0v5
  libossp-uuid-perl libossp-uuid16 libpangomm-1.4-1v5 libpodofo0.9.0v5 libproxy1v5
  libqalculate5v5 libqca-qt5-2 libqpdf13v5 libsane-bin libsctp1 libsidplay1v5 libsidplayfp4
  libsigc++-2.0-0v5 libsmokebase3v5 libstdc++-5-dev libstreamanalyzer0v5 libstreams0v5
  libtag1v5 libtag1v5-vanilla libtinyxml2.6.2v5 libusageenvironment3 libvamp-hostsdk3v5
  libwxbase3.0-0v5 libwxgtk3.0-0v5 libxapian22v5 libzlcore0.13 libzltext0.13
  linux-headers-4.2.0-0.slh.2-aptosid-amd64 linux-image-4.2.0-0.slh.2-aptosid-amd64
  phonon4qt5 phonon4qt5-backend-vlc python-funcsigs scribus-data t1utils
The following packages will be upgraded:
  acpi-support-base acpid acpitool akonadi-backend-sqlite akonadi-server akregator amarok
  amarok-utils apt apt-utils aptitude aptitude-common aptosid-archive-keyring aptosid-irc
  aptosid-manual-common aptosid-manual-en aptosid-scripts arandr ark audacious
  audacious-plugins audacious-plugins-data audacity audacity-data avidemux-common
  avidemux-plugins avidemux-qt base-files bash bash-completion bash-doc bbpager bind9-host
  binutils bluedevil bluetooth bluez bluez-obexd breeze breeze-cursor-theme breeze-icon-theme
  bsdutils build-essential calibre-bin cdebootstrap cdrdao ceni chromium chromium-l10n
  cinelerra cinelerra-data cinelerra-doc coinor-libcgl1 coinor-libclp1 configure-cups
  console-setup console-setup-linux cpp cpp-4.9 cups-filters cups-filters-core-drivers curl
  debhelper debtags dh-python dictionaries-common diffstat distro-defaults djvulibre-bin
  djvulibre-desktop dmeventd dmsetup dnsutils dosfstools dpkg dpkg-dev dselect dvd+rw-tools
  easytag evolution-data-server-common extlinux fancontrol fbreader ffmpeg ffmpegthumbnailer
  file filezilla filezilla-common firmware-linux-free flac flashplugin-nonfree fluxbox
  fonts-lyx fonts-opensymbol fonts-oxygen foomatic-db frameworkintegration freespacenotifier
  frei0r-plugins frozen-bubble frozen-bubble-data g++ g++-4.9 gcc gcc-4.9 gcc-4.9-base
  gcc-4.9-base:i386 gcc-5-base gcc-5-base:i386 gdb gdbserver gdisk gettext gettext-base
  gfortran gfortran-4.9 ghostscript ghostscript-x gimp-help-common gimp-help-en git git-man
  glib-networking glib-networking-services gnucap gnumeric gnumeric-common gnumeric-doc
  gnumeric-plugins-extra gnupg gnupg-agent gnupg2 gparted gpgv growisofs grub-common grub-pc
  grub-pc-bin grub2 grub2-common gscan2pdf gsmartcontrol gstreamer0.10-gconf
  gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly gstreamer0.10-pulseaudio
  gstreamer1.0-plugins-bad gstreamer1.0-plugins-good gstreamer1.0-plugins-ugly
  gstreamer1.0-pulseaudio gvfs gvfs:i386 gvfs-common gvfs-daemons gvfs-libs gvfs-libs:i386
  gwenview handbrake handbrake-gtk hostname html2text icedove id3v2 imagemagick
  imagemagick-6.q16 imagemagick-common imagemagick-doc inkscape iproute iproute2
  isc-dhcp-client isc-dhcp-common iso-codes istanbul jmtpfs k3b k4dirstat kactivities kalarm
  kate kate-data katepart kbuild kcalc kcharselect kde-cli-tools kde-cli-tools-data
  kde-config-cron kde-config-gtk-style kde-config-sddm kde-config-touchpad kde-plasma-desktop
  kde-runtime kde-runtime-data kde-style-breeze kde-style-breeze-qt4 kde-style-oxygen
  kde-style-oxygen-qt5 kde-touchpad kde-wallpapers-default kde-workspace-kgreet-plugins
  kdeadmin kdebase-runtime kded5 kdegames-card-data kdegames-mahjongg-data
  kdegraphics-libs-data kdelibs-bin kdelibs5-data kdelibs5-dev kdelibs5-plugins kdenlive
  kdenlive-data kdepim-kresources kdepim-runtime kdepimlibs-kio-plugins kdeplasma-addons-data
  kdiff3 kdoctools kdoctools5 kernel-remover keyboard-configuration kget kgpg khelpcenter
  khelpcenter4 khotkeys khotkeys-data kinfocenter kinit kio kio-extras kio-extras-data
  klibc-utils kmail kmenuedit kmix konsole konsole-kpart konversation konversation-data
  kopete kpackagetool5 krename kross kscreen ksshaskpass ksysguard ksysguard-data ksysguardd
  ktexteditor-data ktorrent ktorrent-data ktouchpadenabler kwalletmanager kwin-common
  kwin-data kwin-style-breeze kwin-x11 kwrite kwrited ladspa-sdk lib32gcc1 lib32ncurses5
  lib32stdc++6 lib32tinfo5 libakonadi-calendar4 libakonadi-contact4 libakonadi-kabc4
  libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4 libakonadi-notes4
  libakonadiprotocolinternals1 libapr1 libapt-pkg-perl libasan1 libasound2-plugins
  libasound2-plugins:i386 libasprintf-dev libassuan0 libatk-wrapper-java
  libatk-wrapper-java-jni libatomic1 libattica0.4 libaudcore3 libaudit-common libaudit1
  libavcodec-ffmpeg56 libavcodec-ffmpeg56:i386 libavcodec56 libavcodec56:i386 libavdevice56
  libavfilter5 libavformat-ffmpeg56 libavformat56 libavresample-ffmpeg2
  libavresample-ffmpeg2:i386 libavresample2 libavresample2:i386 libavutil-ffmpeg54
  libavutil-ffmpeg54:i386 libavutil54 libavutil54:i386 libbaloocore4 libbaloofiles4
  libbaloopim4 libbalooqueryparser4 libbaloowidgets4 libbalooxapian4 libbind9-90 libblkid1
  libbluedevil2 libbluetooth3 libburn4 libcalendarsupport4 libcap2 libcap2:i386 libcap2-bin
  libccid libcdr-0.1-1 libchromaprint0 libcilkrts5 libcolord2 libcompress-bzip2-perl
  libconfig-general-perl libconfig-inifiles-perl libconfig9 libcrystalhd3 libcrystalhd3:i386
  libcupsfilters-dev libcupsfilters1 libcurl3 libcurl3-gnutls libcurl3-nss libdb5.3
  libdb5.3:i386 libdevmapper-event1.02.1 libdevmapper1.02.1 libdjvulibre-text libdjvulibre21
  libdlrestrictions1 libdnet libdns-export100 libdns100 libdpkg-perl libdrm-intel1
  libdrm-intel1:i386 libdrm-nouveau2 libdrm-nouveau2:i386 libdrm-radeon1 libdrm-radeon1:i386
  libdrm2 libdrm2:i386 libdvdnav4 libdvdread4 libegl1-mesa libegl1-mesa:i386 libelf1
  libelf1:i386 libepoxy0 liberror-perl libevdev2 libexempi3 libfam0 libfdisk1 libflac8
  libflac8:i386 libfollowupreminder4 libfont-ttf-perl libfontembed1 libfreerdp-cache1.1
  libfreerdp-client1.1 libfreerdp-codec1.1 libfreerdp-common1.1.0 libfreerdp-core1.1
  libfreerdp-crypto1.1 libfreerdp-gdi1.1 libfreerdp-locale1.1 libfreerdp-primitives1.1
  libfreerdp-utils1.1 libfribidi0 libgadu3 libgbm1 libgbm1:i386 libgcc-4.9-dev libgcc1
  libgcc1:i386 libgcj-common libgcj15 libgeoip1 libgettextpo-dev libgettextpo0
  libgfortran-4.9-dev libgfortran3 libgl1-mesa-dri libgl1-mesa-dri:i386 libgl1-mesa-glx
  libgl1-mesa-glx:i386 libglapi-mesa libglapi-mesa:i386 libgles2-mesa libgnutls-deb0-28
  libgnutls-deb0-28:i386 libgnutls-openssl27 libgoffice-0.10-10 libgoffice-0.10-10-common
  libgomp1 libgomp1:i386 libgoocanvas-common libgoocanvas3 libgpg-error-dev libgpg-error0
  libgpg-error0:i386 libgrantlee-core0 libgrantlee-gui0 libgraphicsmagick3 libgs9
  libgs9-common libgsf-1-114 libgsf-1-common libgstreamer-plugins-bad1.0-0 libharfbuzz-icu0
  libharfbuzz0b libharfbuzz0b:i386 libhogweed4 libhogweed4:i386 libhunspell-1.3-0 libical1a
  libidn11 libidn11:i386 libijs-0.35 libimage-magick-perl libimage-magick-q16-perl
  libincidenceeditorsng4 libinput10 libio-socket-ssl-perl libio-stty-perl libirs-export91
  libisc-export95 libisc95 libisccc90 libisccfg-export90 libisccfg90 libisofs6 libitm1
  libjack-jackd2-0 libjack-jackd2-0:i386 libjavascriptcoregtk-4.0-18 libjbig2dec0 libjpeg-dev
  libjpeg-turbo-progs libjpeg62-turbo libjpeg62-turbo:i386 libjpeg62-turbo-dev libjs-jquery
  libjs-sphinxdoc libk3b6 libk3b6-extracodecs libkabc4 libkalarmcal2 libkate1
  libkateinterfaces4 libkatepartinterfaces4 libkblog4 libkcal4 libkcalcore4 libkcalutils4
  libkcddb4 libkcmutils4 libkcompactdisc4 libkdcraw-data libkdcraw23 libkde3support4
  libkdeclarative5 libkdecorations4abi2 libkdecore5 libkdegames6abi1 libkdegamesprivate1abi1
  libkdepim4 libkdepimdbusinterfaces4 libkdesu5 libkdeui5 libkdewebkit5 libkdgantt2-0
  libkdnssd4 libkemoticons4 libkephal4abi1 libkexiv2-11 libkexiv2-data libkeyutils1
  libkeyutils1:i386 libkf5activities5 libkf5activitiesexperimentalstats1 libkf5archive5
  libkf5attica5 libkf5auth-data libkf5auth5 libkf5bluezqt-data libkf5bookmarks-data
  libkf5bookmarks5 libkf5codecs-data libkf5codecs5 libkf5completion-data libkf5completion5
  libkf5config-bin libkf5config-data libkf5configcore5 libkf5configgui5
  libkf5configwidgets-data libkf5configwidgets5 libkf5coreaddons-data libkf5coreaddons5
  libkf5crash5 libkf5dbusaddons-bin libkf5dbusaddons-data libkf5dbusaddons5
  libkf5declarative-data libkf5declarative5 libkf5dnssd-data libkf5dnssd5 libkf5emoticons-bin
  libkf5emoticons-data libkf5emoticons5 libkf5filemetadata-bin libkf5filemetadata-data
  libkf5filemetadata3 libkf5globalaccel-bin libkf5globalaccel-data libkf5globalaccel5
  libkf5globalaccelprivate5 libkf5guiaddons5 libkf5i18n-data libkf5i18n5 libkf5iconthemes-bin
  libkf5iconthemes-data libkf5iconthemes5 libkf5idletime5 libkf5itemviews-data
  libkf5itemviews5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5js5 libkf5jsembed-data
  libkf5jsembed5 libkf5kcmutils-data libkf5kcmutils5 libkf5kdelibs4support-data
  libkf5kdelibs4support5 libkf5kdelibs4support5-bin libkf5khtml-bin libkf5khtml-data
  libkf5khtml5 libkf5kiocore5 libkf5kiofilewidgets5 libkf5kiontlm5 libkf5kiowidgets5
  libkf5krosscore5 libkf5krossui5 libkf5networkmanagerqt6 libkf5newstuff-data libkf5newstuff5
  libkf5notifications-data libkf5notifications5 libkf5notifyconfig-data libkf5notifyconfig5
  libkf5package-data libkf5package5 libkf5parts-data libkf5parts-plugins libkf5parts5
  libkf5people-data libkf5people5 libkf5peoplebackend5 libkf5peoplewidgets5 libkf5plasma5
  libkf5plasmaquick5 libkf5plotting5 libkf5pty-data libkf5pty5 libkf5quickaddons5
  libkf5runner5 libkf5screen6 libkf5service-bin libkf5service-data libkf5service5
  libkf5solid5 libkf5solid5-data libkf5sonnet5-data libkf5sonnetcore5 libkf5sonnetui5
  libkf5style5 libkf5su-bin libkf5su-data libkf5su5 libkf5sysguard-bin libkf5sysguard-data
  libkf5texteditor5 libkf5textwidgets-data libkf5textwidgets5 libkf5threadweaver5
  libkf5unitconversion-data libkf5unitconversion5 libkf5wallet-bin libkf5wallet-data
  libkf5wallet5 libkf5waylandclient5 libkf5waylandserver5 libkf5webkit5
  libkf5widgetsaddons-data libkf5widgetsaddons5 libkf5windowsystem-data libkf5windowsystem5
  libkf5xmlgui-bin libkf5xmlgui-data libkf5xmlgui5 libkf5xmlrpcclient-data
  libkf5xmlrpcclient5 libkfile4 libkfilemetadata4 libkfontinst5 libkfontinstui5 libkgapi2-2
  libkholidays4 libkhtml5 libkidletime4 libkimap4 libkimproxy4 libkio5 libkipi-data libkipi11
  libkjsapi4 libkjsembed4 libkldap4 libkleo4 libklibc libkmahjongglib4 libkmanagesieve4
  libkmbox4 libkmediaplayer4 libkmime4 libknewstuff2-4 libknewstuff3-4 libknotifyconfig4
  libkntlm4 libkontactinterface4a libkopete4 libkparts4 libkpathsea6 libkpgp4
  libkpimidentities4 libkpimtextedit4 libkpimutils4 libkprintutils4 libkpty4 libkresources4
  libkrosscore4 libkrossui4 libksane-data libksane0 libkscreensaver5 libksgrd4 libksgrd7
  libksieve4 libksieveui4 libksignalplotter4 libksignalplotter7 libktexteditor4 libktnef4
  libktorrent-l10n libktorrent5 libkunitconversion4 libkutils4 libkwalletbackend5-5
  libkwin4-effect-builtins1 libkwineffects1abi5 libkwineffects6 libkwinglesutils1
  libkwinglutils1abi2 libkwinglutils6 libkwinxrenderutils6 libkworkspace4abi2
  libkworkspace5-5 libkxmlrpcclient4 libldap-2.4-2 libllvm3.4 libllvm3.4:i386 libloudmouth1-0
  liblsan0 liblua5.1-0 liblua5.2-0 liblvm2app2.2 liblvm2cmd2.02 liblwres90 libm17n-0
  libmagic1 libmagickcore-6.q16-2 libmagickwand-6.q16-2 libmailcommon4 libmailimporter4
  libmailtransport4 libmessagecomposer4 libmessagecore4 libmessagelist4 libmessageviewer4
  libmicroblog4 libmimic0 libmlt++3 libmlt-data libmlt6 libmodplug1 libmount1 libmp4v2-2
  libmspub-0.1-1 libmysqlclient18 libncurses5 libncurses5-dev libncursesw5 libncursesw5:i386
  libnepomuk4 libnepomukcore4 libnepomukquery4a libnepomukutils4 libnet-http-perl libnettle6
  libnettle6:i386 libnm-glib4 libnm-util2 libnspr4 libnspr4:i386 libnspr4-0d libnspr4-0d:i386
  libnss3 libnss3-1d libofa0 liboxygenstyle5-5 liboxygenstyleconfig5-5 libpam-systemd
  libpari-dbg libpari-dev libpari-gmp-tls4 libpci-dev libpci3 libpciaccess0
  libpciaccess0:i386 libpcre16-3 libpcre3 libpcre3:i386 libpcsclite1 libphonon-dev libphonon4
  libphonon4qt5-4 libpimcommon4 libpipeline1 libplasma-geolocation-interface4
  libplasma-geolocation-interface5 libplasma3 libplasmaclock4abi4 libplasmagenericshell4
  libplist3 libpolkit-qt-1-1 libpolkit-qt5-1-1 libpoppler-glib8 libpoppler-qt4-4
  libpoppler-qt5-1 libpoppler46 libpostproc53 libpowerdevilcore2 libpowerdevilui5 libppl-c4
  libppl13 libproc-processtable-perl libprocesscore4abi1 libprocesscore7 libprocessui4a
  libprocessui7 libprocps4 libprotobuf-c1 libpsl0 libpstoedit0c2a libptexenc1
  libpulse-mainloop-glib0 libpulse0 libpulse0:i386 libpulsedsp libpython3.4
  libpython3.4-minimal libpython3.4-stdlib libqalculate5-data libqca2 libqca2-plugin-gnupg
  libqca2-plugin-ossl libqca2-plugins libqgpgme1 libqmobipocket1 libqt4-dbus libqt4-dbus:i386
  libqt4-declarative libqt4-designer libqt4-dev libqt4-dev-bin libqt4-help libqt4-network
  libqt4-network:i386 libqt4-opengl libqt4-opengl:i386 libqt4-qt3support libqt4-script
  libqt4-scripttools libqt4-sql libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test
  libqt4-xml libqt4-xml:i386 libqt4-xmlpatterns libqt4-xmlpatterns:i386 libqt5clucene5
  libqt5concurrent5 libqt5core5a libqt5dbus5 libqt5designer5 libqt5designercomponents5
  libqt5gui5 libqt5help5 libqt5multimedia5 libqt5multimediaquick-p5 libqt5network5
  libqt5opengl5 libqt5printsupport5 libqt5qml5 libqt5quick5 libqt5quickwidgets5 libqt5script5
  libqt5sql5 libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5webkit5 libqt5widgets5
  libqt5x11extras5 libqt5xml5 libqt5xmlpatterns5 libqtassistantclient4 libqtcore4
  libqtcore4:i386 libqtdbus4 libqtdbus4:i386 libqtgui4 libqtgui4:i386 libqtruby4shared2
  libqtwebkit4 libqtwebkit4:i386 libquadmath0 libquicktime2 libqzeitgeist0 libqzion0a
  libreoffice libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core
  libreoffice-base-drivers libreoffice-calc libreoffice-common libreoffice-core
  libreoffice-draw libreoffice-help-en-us libreoffice-impress libreoffice-java-common
  libreoffice-kde libreoffice-math libreoffice-report-builder-bin libreoffice-style-galaxy
  libreoffice-writer libroar-compat2 libroar2 librsvg2-2 librsvg2-common libruby2.1 libsane
  libsane-common libsane-dev libseccomp2 libsecret-1-0 libsecret-1-0:i386 libsecret-common
  libsendlater4 libsensors4 libsensors4-dev libslp1 libsmartcols1 libsmokekdecore4-3
  libsmokekdeui4-3 libsmokekfile3 libsmokekhtml3 libsmokekio3 libsmokeknewstuff2-3
  libsmokeknewstuff3-3 libsmokekparts3 libsmokektexteditor3 libsmokekutils3 libsmokenepomuk3
  libsmokephonon3 libsmokeplasma3 libsmokeqtcore4-3 libsmokeqtdbus4-3 libsmokeqtgui4-3
  libsmokeqtnetwork4-3 libsmokeqtopengl4-3 libsmokeqtscript4-3 libsmokeqtsql4-3
  libsmokeqtsvg4-3 libsmokeqttest4-3 libsmokeqtuitools4-3 libsmokeqtwebkit4-3
  libsmokeqtxml4-3 libsmokesolid3 libsolid4 libsoprano-dev libsoprano4 libsqlite3-0
  libsqlite3-0:i386 libstdc++-4.9-dev libstdc++6 libstdc++6:i386 libsvn1
  libswresample-ffmpeg1 libswresample-ffmpeg1:i386 libswresample1 libswresample1:i386
  libswscale-ffmpeg3 libswscale3 libsynctex1 libsyndication4 libsystemd0 libsystemd0:i386
  libtag-extras1 libtagc0 libtaskmanager4abi4 libtaskmanager5 libtbb2 libtelepathy-qt4-2
  libtemplateparser4 libtexlua52 libtexluajit2 libtext-wrapi18n-perl libthreadweaver4
  libtiff-tools libtiff5 libtiff5:i386 libtiff5-dev libtiffxx5 libtinfo-dev libtinfo5
  libtinfo5:i386 libtsan0 libturbojpeg0 libubsan0 libudev1 libudev1:i386 liburi-perl
  libusb-0.1-4 libusb-0.1-4:i386 libusb-dev libuuid1 libuuid1:i386 libval14 libvdpau-va-gl1
  libvdpau1 libvisual-0.4-0 libvlc5 libvlccore8 libwayland-egl1-mesa libweather-ion6
  libweather-ion7 libwebkit2gtk-4.0-37 libwinpr-crt0.1 libwinpr-crypto0.1 libwinpr-dsparse0.1
  libwinpr-environment0.1 libwinpr-file0.1 libwinpr-handle0.1 libwinpr-heap0.1
  libwinpr-input0.1 libwinpr-interlocked0.1 libwinpr-library0.1 libwinpr-path0.1
  libwinpr-pool0.1 libwinpr-registry0.1 libwinpr-rpc0.1 libwinpr-sspi0.1 libwinpr-synch0.1
  libwinpr-sysinfo0.1 libwinpr-thread0.1 libwinpr-utils0.1 libwmf0.2-7 libwxbase2.8-0
  libwxgtk2.8-0 libx264-148 libx264-148:i386 libxatracker2 libxaw7 libxaw7:i386
  libxerces-c3.1 libxml2 libxml2:i386 libxml2-utils libzeitgeist-2.0-0 libzlcore-data
  libzltext-data libzlui-qt4 links2 linux-headers-aptosid-amd64 linux-image-aptosid-amd64
  linux-libc-dev lm-sensors lsb-base lsb-release luatex lvm2 m17n-contrib m17n-db make man-db
  melt mencoder mercurial mercurial-common milou mime-support mount **removed** mysql-common ncdu
  ncurses-base ncurses-bin ncurses-term nepomuk-core-runtime net-tools nethogs nload ntfs-3g
  ogmtools okular okular-dev okular-extra-backends opencv-data openfwwf openjdk-7-jre
  openjdk-7-jre-headless openjdk-7-jre-lib openprinting-ppds openssh-client openssh-server
  openssh-sftp-server openvpn oxygen-sounds paman pandoc paprefs pavucontrol pavumeter
  pciutils pcscd pepperflashplugin-nonfree perlmagick phonon phonon-backend-gstreamer
  phonon-backend-gstreamer-common pinentry-gtk2 pitivi plasma-dataengines-addons
  plasma-dataengines-workspace plasma-desktop plasma-desktop-data plasma-framework
  plasma-runners-addons plasma-scriptengine-javascript plasma-scriptengine-python
  plasma-scriptengine-ruby plasma-scriptengine-webkit plasma-scriptengines
  plasma-wallpapers-addons plasma-widgets-addons plasma-widgets-workspace plasma-workspace
  polkit-kde-1 polkit-kde-agent-1 poppler-utils powerdevil powerdevil-data powertop pppconfig
  procps psmisc pstoedit pulseaudio pulseaudio-module-gconf pulseaudio-module-x11
  pulseaudio-module-zeroconf pulseaudio-utils python-apt python-apt-common python-cairo
  python-httplib2 python-imaging python-jinja2 python-libxml2 python-lxml python-mlt
  python-mock python-mutagen python-numpy python-pbr python-pil python-pip
  python-pkg-resources python-pygoocanvas python-pyorbit python-pypdf python-pypdf2
  python-pyqt5 python-pyqt5.qtsvg python-pyqt5.qtwebkit python-pysqlite2 python-qt4
  python-qt4-dbus python-routes python-setuptools python-sip python-six python-subversion
  python-urllib3 python-wxgtk3.0 python-xapian python-xlib python3-apt python3-numpy
  python3-pkg-resources python3-pypdf2 python3-six python3-uno python3.4 python3.4-minimal
  qdbus qdbus-qt5 qml-module-org-kde-bluezqt qml-module-org-kde-draganddrop
  qml-module-org-kde-extensionplugin qml-module-org-kde-kcoreaddons qml-module-org-kde-kio
  qml-module-org-kde-kquickcontrols qml-module-org-kde-kquickcontrolsaddons
  qml-module-org-kde-kwindowsystem qml-module-org-kde-solid qml-module-qtgraphicaleffects
  qml-module-qtmultimedia qml-module-qtquick-controls
  qml-module-qtquick-controls-styles-breeze qml-module-qtquick-dialogs
  qml-module-qtquick-layouts qml-module-qtquick-privatewidgets qml-module-qtquick-window2
  qml-module-qtquick2 qml-module-qtwebkit qmmp qt4-linguist-tools qt4-qmake qt4-qtconfig
  qtcore4-l10n qtcurve-l10n qtdeclarative5-kf5declarative qtdeclarative5-kf5solid
  qttools5-dev-tools rar recoll redshift reiserfsprogs resolvconf rsyslog ruby-debian
  ruby-kde4 ruby-plasma ruby-qt4 ruby-qt4-webkit ruby-rack ruby2.1 sane-utils screen scribus
  sddm sddm-theme-breeze smartmontools soprano-daemon squashfs-tools ssl-cert subversion
  subversion-tools swh-plugins syslinux syslinux-common systemd systemd-sysv systemsettings
  tar tex-common texlive texlive-base texlive-binaries texlive-extra-utils texlive-font-utils
  texlive-fonts-extra texlive-fonts-recommended texlive-formats-extra texlive-generic-extra
  texlive-generic-recommended texlive-lang-portuguese texlive-latex-base
  texlive-latex-base-doc texlive-latex-extra texlive-latex-extra-doc
  texlive-latex-recommended texlive-latex-recommended-doc texlive-luatex texlive-math-extra
  texlive-metapost texlive-metapost-doc texlive-pictures texlive-pictures-doc
  texlive-pstricks texlive-pstricks-doc texlive-science texlive-science-doc texlive-xetex
  ttf-lyx tzdata tzdata-java udev unison-gtk uno-libs3 unrar unzip ure usbutils util-linux
  vim vim-common vim-runtime virtualbox virtualbox-guest-additions-iso virtualbox-qt
  virtualbox-source vlc vlc-data vlc-nox vlc-plugin-pulse vpnc-scripts w3m whois
  wireless-regdb wpagui wpasupplicant xchm xdg-browser-launcher xdg-utils xfig xfig-doc
  xfsprogs xpra xserver-common xserver-xorg-core xserver-xorg-input-libinput xterm xvfb zip
1276 upgraded, 126 newly installed, 90 to remove and 0 not upgraded.
Need to get 0 B/2,294 MB of archives.
After this operation, 690 MB of additional disk space will be used.
Download complete and in download only mode


I don't use digikam and can let gimp go for now. The rest doesn't seem important, so I assume I can let go.

Do we need to still use the tailored update command above, i.e.,

      Code:

# apt update
# apt-get dist-upgrade libstreamanalyzer0v5+ libstreams0v5+ libstreams0- kdeutils+ kdeadmin+ konversation+


or simply an usual DU?

Thanks,

Luis
 
 View user's profile Send private message  
Reply with quote Back to top
BTOffline
Post subject: RE: Re: RE: d-u wtih some problems  PostPosted: 11.09.2015, 18:46



Joined: 2010-09-12
Posts: 51
Location: Belgium
Status: Offline
Hello,

I'm getting the following message for a few days when simulating a dist-upgrade.

      Code:

The following packages have unmet dependencies:
 plasma-desktop-data : Breaks: kde-config-touchpad (< 4:5) but 0.8.1-2 is to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.


How can I get around this one ?

Thanks
 
 View user's profile Send private message  
Reply with quote Back to top
finottiOffline
Post subject: RE: Re: RE: d-u wtih some problems  PostPosted: 11.09.2015, 18:48



Joined: 2010-09-12
Posts: 470

Status: Offline
For what is worth, I've used the DU command suggested by slh and the upgrade went smoothly. Everything seems to be working so far. (Note that some KDE related packages are now, after my DU, marked for removal, such as plasma-scriptengines and plasma-widgets-workspace. I haven't DUed after that.)

I was hoping more from Plasma 5 would be fixed with this update, but my main problems seem to remain. But that's the price of being on the "cutting edge".

Thanks to all,

Luis
 
 View user's profile Send private message  
Reply with quote Back to top
BTOffline
Post subject: RE: Re: RE: d-u wtih some problems  PostPosted: 12.09.2015, 08:11



Joined: 2010-09-12
Posts: 51
Location: Belgium
Status: Offline
Tried slh's DU command, but no luck.

Shall be patient a few more weeks, problem shall perhaps clear itself

Thanks
 
 View user's profile Send private message  
Reply with quote Back to top
vinurOffline
Post subject: RE: Re: RE: d-u wtih some problems  PostPosted: 19.09.2015, 01:35



Joined: 2010-09-11
Posts: 83
Location: Lake Oswego
Status: Offline
Well, I have done about 4 Distro Upgrades in the last 4 days, including this morning And the results have but merely improved the total performance and caused no issues.

Now it would be wise to note that this is after the big wave of changes which the system survived.
It is no longer the same as it was which is what was expected.

All I am reporting is the period post Plasma 4 to Plasma 5 seems for my system is going along fine.
Some functionality is gone and such is how it will be until it returns.

michael@Eyland0:~$ infobash -v3
Host/Kernel/OS  "Eyland0" running Linux 4.2.0-0.slh.4-aptosid-amd64 x86_64 [ aptosid 2013-01 Ἑσπερίδες - kde-lite - (201305050307) ]
CPU Info        8x AMD FX-8120 Eight-Core 2048 KB cache flags( sse3 ht nx lm svm ) clocked at [ 1900.000 MHz ]
Videocard       NVIDIA G86 [GeForce 8500 GT]  X.Org 1.17.2  [ 1920x1080@60.00hz ]
Network cards   D-Link System Inc DGE-560T PCI Express Gigabit
Processes 169 | Uptime 6:30 | Memory 717.9/7971.6MB | HDD WDC WD6000HLHX-0,WDC WD6000HLHX-0,AS2105 Size 1520GB (13%used) | GLX Renderer
Gallium 0.4 on NV86 | GLX Version Yes | Client Shell | Infobash v3.49
michael@Eyland0:~$

This system at least seem to be fine. And for me D-U is good.
I do not want to mislead, your results can be... and may well be, very different.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
slhOffline
Post subject: RE: Re: RE: d-u wtih some problems  PostPosted: 19.09.2015, 01:41



Joined: 2010-08-25
Posts: 949

Status: Offline
It should work (KDE5 itself does, not everything is as mature as in KDE4, but it won't eat kittens for breakfast), but you might have to assist apt to find a proper solution (this is not an apt bug. but rather imperfect package relations - those will be fixed over time, but it might take quite a while).

On common systems, you might still have problems with e.g. calligra (ex-koffice), digikam and kipi-plugins, as those are still not through the gcc-5 transition (of course there are more packages affected than just these, but they are less common) - so you'll have to let them go for the time being (the KDE team is working on it, but some lower level libraries need to transition first - so no ETA).
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio